Lemmy installation issue

I have also run into the same issue: Services lemmy-pict-rs and lemmy-ui will not start after upgrading to 0.18.2~ynh3.. · Issue #82 · YunoHost-Apps/lemmy_ynh · GitHub

That said, my Lemmy instance was still mostly working fine after the update until last night. Since then I get a 502 error. I am not sure if it’s related or even how to begin figuring out what the source of the problem is. The 502 error isn’t mentioned when I run diagnostics or in any of the logs available from the web interface. My other Yunohost apps are working fine, including a Pixelfed instance.

I also have the same issues as vidmid since the update of lemmy to 0.18.2~ynh3:

pict-rs: hastebin
lemmy-ui: hastebin

Is there already a sustainable way to fix the issue?

1 Like

I updated the system to the latest versions today and tried updating Lemmy but still no luck.

Here is the log: https://paste.yunohost.org/raw/lehuyiquto
Lemmy shows to be successfully updated but the lemmy-pict-rs and lemmy-ui fail to start.

lemmy-pict-rs log: hastebin
lemmy-ui log: hastebin

Thanks!

2 Likes

It looks like fresh lemmy installs work fine but upgrading from 0.18.2~ynh1 to 0.18.2~ynh3 is giving error:

Here is the log: https://paste.yunohost.org/raw/lehuyiquto
Lemmy shows to be successfully updated but the lemmy-pict-rs and lemmy-ui fail to start.
lemmy-pict-rs log: hastebin
lemmy-ui log: hastebin

I have a lot of data and can’t just do a fresh install and it would be great if someone could fix this issue.

Thanks,

1 Like

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.